Bug 728757 (gnumed) - Review Request: gnumed - The gnumed client
Summary: Review Request: gnumed - The gnumed client
Keywords:
Status: CLOSED ERRATA
Alias: gnumed
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-medical
TreeView+ depends on / blocked
 
Reported: 2011-08-07 08:36 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-09-07 03:42 UTC (History)
4 users (show)

Fixed In Version: gnumed-0.9.9-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:03:59 UTC
mlichvar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-08-07 08:36:48 UTC
Spec URL: http://ankursinha.fedorapeople.org/gnumed/gnumed.spec
SRPM URL: http://ankursinha.fedorapeople.org/gnumed/gnumed-0.9.9-1.fc15.src.rpm

Description: 
This is the GNUmed Electronic Medical Record. 
Its purpose is to enable doctors to keep a medically sound record 
on their patients' health. Currently it is not fully featured. The 
features provided are, however, tested, in use, and considered 
stable. This package does NOT yet provide functionality for billing 
and stock keeping.

While the GNUmed team has taken the utmost care to make sure the 
medical records are safe at all times you still need to make sure 
you are taking appropriate steps to backup the medical data to a 
safe place at appropriate intervals. Do test your backup and 
disaster recovery procedures, too !

Protect your data! GNUmed itself comes without any warranty 
whatsoever. You have been warned.

Homepage: http://%{name}.org/

This package contains the wxpython client. 

Authors:
--------
    Sebastian Hilbert <sebastian.hilbert@gmx.net>
    Karsten Hilbert <karsten.hilbert@gmx.net>
    GNUmed team

Comment 1 Ankur Sinha (FranciscoD) 2011-08-07 08:55:47 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=3256619

Koji scratch build.

Comment 2 Ankur Sinha (FranciscoD) 2011-08-09 19:05:40 UTC
Hello,

Updated spec/srpm:

http://ankursinha.fedorapeople.org/gnumed/gnumed-0.9.9-2.fc15.src.rpm

http://ankursinha.fedorapeople.org/gnumed/gnumed.spec


* Tue Aug 09 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.9-2
- Remove doc dependency
- Put man pages in correct sub packages
- Merge subpackages, modularity isn't really required here, let docs be.
- Correct license

Thanks,
Ankur

Comment 3 Miroslav Lichvar 2011-08-10 13:38:50 UTC
Review follows.

MUST items:
- rpmlint output is ok
gnumed.noarch: W: name-repeated-in-summary C gnumed
gnumed.noarch: W: spelling-error %description -l en_US sebastian -> Sebastian
gnumed.noarch: W: spelling-error %description -l en_US hilbert -> Hilbert, filbert, Dilbert
gnumed.noarch: W: spelling-error %description -l en_US gmx -> gm, gm x
gnumed.noarch: W: spelling-error %description -l en_US karsten -> Kirsten
gnumed.noarch: E: incorrect-fsf-address /usr/share/doc/gnumed-0.9.9/GnuPublicLicense.txt
gnumed.src: W: name-repeated-in-summary C gnumed
gnumed.src: W: spelling-error %description -l en_US wxpython -> python, Python
gnumed.src: W: spelling-error %description -l en_US sebastian -> Sebastian
gnumed.src: W: spelling-error %description -l en_US hilbert -> Hilbert, filbert, Dilbert
gnumed.src: W: spelling-error %description -l en_US gmx -> gm, gm x
gnumed.src: W: spelling-error %description -l en_US karsten -> Kirsten
3 packages and 0 specfiles checked; 1 errors, 11 warnings.

Please ask upstream to update the FSF address and consider expanding the summary a bit. Not blockers.

- package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
? the package meets the Packaging Guidelines
  - some Requires seem odd, are aspell, file, mx, kdepim, texlive really needed?
  - is there a point in installing man pages for binaries that are not packaged?
? the license is GPL, but the version is unclear. The sources only mention GPL. Please ask upstream to add a README file to clarify under which GPL version it's licensed or include an email with their response, as stated in the Fedora Licensing Guidelines.
- the package is licensed with a Fedora approved license and meets the Licensing Guidelines (GPLv?)
? the License field in the package spec file may not match the actual license (unknown yet)
- file containing the text of the license(s) for the package is included in %doc
- the spec file is written in American English
- the spec file for the package is legible
  - I'd suggest to wrap the installation of locales in a for loop
- the source used to build the package matches the upstream source, as provided in the spec URL
  ec0abfd95dcf8b5cfbca5368dcfcc99d  gnumed-client.0.9.9.tgz
- the package successfully compiles and builds into binary rpms on at least one primary architecture (x86_64)
- all build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
- the spec file handles locales properly
- the package doesn't bundle copies of system libraries
- the package owns all directories that it creates or depends on packages that provide them
- the package does not list a file more than once in the spec file's %files listings
- permissions on files are set properly
- the package consistently uses macros
- the package contains code, or permissable content
- all filenames in rpm packages are valid UTF-8


SHOULD items:
- the package builds in mock
- the package contains man pages for binaries/scripts

- I've not tested whether the package functions as described

Comment 4 Ankur Sinha (FranciscoD) 2011-08-15 11:13:06 UTC
I've mailed upstream requesting info on the extra man pages and the summary. Upstream has already clarified that the license is GPLv2, I've included the required email as reference. The included license file is GPLv2 also, so this is okay now. 

I've also requested them to update the FSF address, however most likely that will go into the next release. 

I've corrected the Requires after a quick dialogue with upstream. The python explicit requires are required IIRC, the others a tools that will be needed to use gnumed-client properly, for example xsane for scanning. 

I'm waiting for upstream to reply and will present the complete spec asap.

Thanks 
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2011-08-16 17:00:41 UTC
Hello,

Completed spec with corrections:

http://ankursinha.fedorapeople.org/gnumed/gnumed.spec

http://ankursinha.fedorapeople.org/gnumed/gnumed-0.9.9-4.fc15.src.rpm

Thanks!
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2011-08-16 17:13:56 UTC
* Mon Aug 15 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.9-4
- Improve the Requires
- Mailed upstream requesting update of the FSF address
- Added a wrapper
- Added more binaries. Refer for file list:
- http://packages.debian.org/sid/all/gnumed-client/filelist

Comment 7 Miroslav Lichvar 2011-08-17 13:12:46 UTC
It looks good. Approved.

Comment 8 Ankur Sinha (FranciscoD) 2011-08-17 14:40:32 UTC
Thank you for the review Miroslav :)

New Package SCM Request
=======================
Package Name: gnumed
Short Description: The gnumed client
Owners: ankursinha
Branches: f14 f15 f16 
InitialCC: susmit mrceresa

Comment 9 Gwyn Ciesla 2011-08-17 14:48:55 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-08-17 16:16:23 UTC
gnumed-0.9.9-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnumed-0.9.9-4.fc16

Comment 11 Fedora Update System 2011-08-17 16:16:31 UTC
gnumed-0.9.9-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnumed-0.9.9-4.fc15

Comment 12 Fedora Update System 2011-08-17 16:16:40 UTC
gnumed-0.9.9-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnumed-0.9.9-4.fc14

Comment 13 Fedora Update System 2011-08-17 20:24:52 UTC
gnumed-0.9.9-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2011-09-07 00:03:53 UTC
gnumed-0.9.9-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-09-07 00:19:23 UTC
gnumed-0.9.9-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-09-07 03:42:39 UTC
gnumed-0.9.9-4.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.